# Uses of Class
org.apache.zookeeper.common.ZKConfig

Packages that use ZKConfig
Package
Description
org.apache.zookeeper
org.apache.zookeeper.client
org.apache.zookeeper.common
org.apache.zookeeper.util

## Uses of ZKConfig in org.apache.zookeeper

Constructors in org.apache.zookeeper with parameters of type ZKConfig
Modifier
Constructor
Description
``
`Login(String loginContextName, Supplier<CallbackHandler> callbackHandlerSupplier, ZKConfig zkConfig)`
LoginThread constructor.

## Uses of ZKConfig in org.apache.zookeeper.client

Subclasses of ZKConfig in org.apache.zookeeper.client
Modifier and Type
Class
Description
`class`
`ZKClientConfig`
Handles client specific properties

## Uses of ZKConfig in org.apache.zookeeper.common

Methods in org.apache.zookeeper.common with parameters of type ZKConfig
Modifier and Type
Method
Description
`boolean`
X509Util.`allowReverseDnsLookup(ZKConfig config)`
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForClient(ZKConfig config)`
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForServer(ZKConfig config)`
`io.netty.handler.ssl.SslContext`
ClientX509Util.`createNettySslContextForServer(ZKConfig config, KeyManager keyManager, TrustManager trustManager)`
`SSLContext`
X509Util.`createSSLContext(ZKConfig config)`
`SSLContextAndOptions`
X509Util.`createSSLContextAndOptions(ZKConfig config)`
`SSLContextAndOptions`
X509Util.`createSSLContextAndOptionsFromConfig(ZKConfig config)`
`static boolean`
X509Util.`getFipsMode(ZKConfig config)`
`String`
X509Util.`getPasswordFromConfigPropertyOrFile(ZKConfig config, String propertyName, String pathPropertyName)`
Returns the password specified by the given property or from the file specified by the given path property.
`io.netty.handler.ssl.SslProvider`
ClientX509Util.`getSslProvider(ZKConfig config)`
`boolean`
X509Util.`isClientHostnameVerificationEnabled(ZKConfig config)`
`boolean`
X509Util.`isServerHostnameVerificationEnabled(ZKConfig config)`

## Uses of ZKConfig in org.apache.zookeeper.util

Methods in org.apache.zookeeper.util with parameters of type ZKConfig
Modifier and Type
Method
Description
`static SaslClient`
SecurityUtils.`createSaslClient(ZKConfig config, Subject subject, String servicePrincipal, String protocol, String serverName, org.slf4j.Logger LOG, String entity)`
Create an instance of a SaslClient.